<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.bookmark.BookmarkFolderEditActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/h_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="New Folder"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <TextView

            android:id="@+id/tv_save"
            android:layout_width="93dp"
            android:layout_height="43dp"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="16dp"
            android:background="@drawable/bg_border_selector_save"
            android:enabled="false"
            android:gravity="center"
            android:text="Save"
            android:textColor="@color/color_enable_999999_ffffff"
            android:textSize="18sp"
            tools:ignore="ContentDescription,HardcodedText" />

    </FrameLayout>

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="22dp"
        android:text="Name"
        android:textColor="@color/black"
        android:textSize="15sp"
        tools:ignore="HardcodedText" />

    <EditText
        android:id="@+id/edit_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="20dp"
        android:textSize="17sp"
        tools:ignore="Autofill,LabelFor,TextFields" />


    <LinearLayout
        android:id="@+id/ll_folder"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="36dp"
        android:background="@drawable/bg_edf1f4_15">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="15dp"
            android:text="Name"
            android:textColor="@color/black"
            android:textSize="14sp"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_folder"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            android:gravity="end"
            android:paddingHorizontal="8dp"
            android:textColor="#A7A7AB"
            android:textSize="16sp"
            tools:text="Root Directory" />

    </LinearLayout>

</LinearLayout>